/* CSS reset*/

* {
	margin: 0;
	padding: 0;
}

body {
	font-family: "Open Sans", sans-serif;
}

nav {
	padding: 0.8rem; /*.8 x 16px (default font size) = 12.8px */
	margin-bottom: 2rem;/*32 = 2 x 16px(default font size)*/
	border-bottom: 1px solid gray;
}

nav .nav, nav .nav-logo {

	margin: 0.5rem;
	display: inline;
}

/*intro section*/

#intro {
	/*percentage as measurements are good practice for mobile responsiveness. Since the body 
	occupies the full width of the screen, the percentage's size will adjust accordimg to the scree.*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}

.header {
	text-align: center;
}


#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*font-weight allows us to determine the thickness of the text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}


/*info section*/

#succeed-info {
	padding: 2rem 10% 3rem;
}

/* 

	padding shorthand: ;

 	padding: value; = all sides
 	padding:  top x-axis bottom;
	padding:  y-axis x-axis;
	padding: top right bottom left;
 */

#succeed-info h2 {
	margin-bottom: 1rem;
}

#succeed-info .card {
	display: inline-block;
	width: 30%;
	margin-left: .5rem;
	margin-right: .5rem;
	/*vertical align top will allow us to align our inline-block elements
	vertically starting from the top*/
	vertical-align: top;
	/*border: 1px solid black;*/
	/*min-height will determine a min height for the element. That if the 
	content's height does reach or exceed our min-height, the min-height will 
	be employed as the height of your element.*/
	min-height: 175px;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

/*pre-footer*/

#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}

footer {
	padding: 0.7rem;
}

footer > span {
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}







